# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 <caezsar> <caezsar@yahoo.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE
import os, sys
import gettext
import subprocess
from gettext import gettext as _
gettext.textdomain('ubuntu-server')

import logging
logger = logging.getLogger('ubuntu_server')

from ubuntu_server_lib.AboutDialog import AboutDialog

# See ubuntu_server_lib.AboutDialog.py for more details about how this class works.
class AboutUbuntuServerDialog(AboutDialog):
    __gtype_name__ = "AboutUbuntuServerDialog"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the about dialog"""
        super(AboutUbuntuServerDialog, self).finish_initializing(builder)

        # Code for other initialization actions should be added here.



        self.button1 = self.builder.get_object("button1")
        self.rmapache = self.builder.get_object("rmapache")
        self.button3 = self.builder.get_object("button3")
	    self.installwebalizer = self.builder.get_object("installwebalizer")
        self.installmysql = self.builder.get_object("installmysql")
        self.php5 = self.builder.get_object("php5")
        self.php5modules = self.builder.get_object("php5modules")

        self.enablemodules = self.builder.get_object("enablemodules")
        self.xcache = self.builder.get_object("xcache")
        self.rmphpsql = self.builder.get_object("rmphpsql")
        self.phpmyadmin = self.builder.get_object("phpmyadmin")
        self.rmphpmyadmin = self.builder.get_object("rmphpmyadmin")
        self.proftpd = self.builder.get_object("proftpd")
        self.rmproftpd = self.builder.get_object("rmproftpd")
        self.ssh = self.builder.get_object("ssh")
        self.rmpssh = self.builder.get_object("rmssh")
        self.putty = self.builder.get_object("putty")

        self.smbd = self.builder.get_object("smbd")
        self.smbdsystem = self.builder.get_object("smbdsystem")
        self.editsmbd = self.builder.get_object("editsmbd")
        self.rmsmbd = self.builder.get_object("rmsmbd")


        self.webmin = self.builder.get_object("webmin")
        self.rmwebmin = self.builder.get_object("rmwebmin")

        self.monitorix = self.builder.get_object("monitorix")
        self.monitorixedit = self.builder.get_object("monitorixedit")
        self.rmonitorix = self.builder.get_object("rmonitorix")

        self.nagios = self.builder.get_object("nagios")
        self.addhost = self.builder.get_object("addhost")
        self.rmnagios = self.builder.get_object("rmnagios")
        self.nagiosfolder = self.builder.get_object("nagiosfolder")

        self.nav = self.builder.get_object("nav")
        self.gufw = self.builder.get_object("gufw")
        self.noip = self.builder.get_object("noip")


    def on_button1_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'apache2', 'apache2.2-common', 'apache2-doc', 'apache2-utils'])
    def on_rmapache_clicked(self, widget):
        subprocess.call(['/usr/share/ubuntu-server/installpkgs/rmapache.sh'])
    def on_button3_clicked(self, widget):
        subprocess.call(['gksu', 'gedit', '/etc/apache2/apache2.conf'])
    def on_installwebalizer_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'webalizer', 'geoip-database'])
    def on_installmysql_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'mysql-server', 'mysql-client'])
    def on_php5_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'php5', 'libapache2-mod-php5'])
    def on_php5modules_clicked(self, widget):
        subprocess.call(['/usr/share/ubuntu-server/installpkgs/php5modules.sh'])
    def on_enablemodules_clicked(self, widget):
        subprocess.call(['/usr/share/ubuntu-server/installpkgs/enablemodules.sh'])
    def on_xcache_clicked(self, widget):
        subprocess.call(['/usr/share/ubuntu-server/installpkgs/xcache.sh'])
    def on_rmphpsql_clicked(self, widget):
        subprocess.call(['/usr/share/ubuntu-server/installpkgs/rmphpsql.sh'])
    def on_phpmyadmin_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'phpmyadmin'])
    def on_rmphpmyadmin_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'remove', '--purge', 'phpmyadmin'])
    def on_proftpd_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'proftpd'])
    def on_rmproftpd_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'remove', '--purge', 'proftpd'])
    def on_ssh_clicked(self, widget):
              	os.system('gnome-terminal -x sudo apt-get install ssh openssh-server')
        
    def on_rmssh_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'remove', '--purge', 'ssh', 'openssh-server'])
    def on_putty_clicked(self, widget):
        subprocess.call(['gksudo', '/usr/share/ubuntu-server/installpkgs/putty.sh'])



    def on_smbd_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'samba', 'samba-common', 'winbind'])
    def on_smbdsystem_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'python-glade2', 'system-config-samba'])
    def on_editsmbd_clicked(self, widget):
        subprocess.call(['gksu', 'gedit', '/etc/samba/smb.conf'])
    def on_rmsmbd_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'remove', 'python-glade2', 'system-config-samba', 'samba', 'samba-common', 'winbind']) 

    def on_webmin_clicked(self, widget):
        subprocess.call(['gksudo', '/usr/share/ubuntu-server/installpkgs/webmin.sh'])
    def on_rmwebmin_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'remove', '--purge', 'webmin'])

    def on_monitorix_clicked(self, widget):
        subprocess.call(['gksudo', '/usr/share/ubuntu-server/installpkgs/monitorix.sh'])
    def on_rmonitorix_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'remove', '--purge', 'monitorix'])
    def on_monitorixedit_clicked(self, widget):
        subprocess.call(['gksu', 'gedit', '/etc/monitorix.conf'])
    
    def on_nagios_clicked(self, widget):
        subprocess.call(['/usr/share/ubuntu-server/installpkgs/nagios.sh'])
    def on_rmnagios_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'remove', '--purge', 'nagios3'])
        subprocess.call(['sudo', 'apt-get', 'autoremove'])
    def on_addhost_clicked(self, widget):
        subprocess.call(['gksu', 'gedit', '/etc/nagios3/conf.d/localhost_nagios2.cfg'])
    def on_nagiosfolder_clicked(self, widget):
        subprocess.call(['gksu', 'nautilus', '/etc/nagios3/'])

    def on_nav_clicked(self, widget):
        subprocess.call(['gksu', '/usr/share/ubuntu-server/installpkgs/nav.sh'])
    def on_gufw_clicked(self, widget):
        subprocess.call(['gnome-terminal', '-x', 'sudo', 'apt-get', 'install', 'gufw'])
    def on_noip_clicked(self, widget):
        subprocess.call(['gksu', '/usr/share/ubuntu-server/installpkgs/noip2.sh'])

    def on_installbind9_clicked(self, widget):
         os.system('exec gnome-terminal -x sudo apt-get install install bind9 bind9utils')

    def on_installntp_clicked(self, widget):
         os.system('exec gnome-terminal -x sudo apt-get install ntp')



