# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 <caezsar> <caezsar@yahoo.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import gettext
import os, sys
import subprocess
from gettext import gettext as _
gettext.textdomain('ubuntu-server')

from gi.repository import Gtk # pylint: disable=E0611
import logging
logger = logging.getLogger('ubuntu_server')

from ubuntu_server_lib import Window
from ubuntu_server.AboutUbuntuServerDialog import AboutUbuntuServerDialog
from ubuntu_server.PreferencesUbuntuServerDialog import PreferencesUbuntuServerDialog

# See ubuntu_server_lib.Window.py for more details about how this class works
class UbuntuServerWindow(Window):
    __gtype_name__ = "UbuntuServerWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(UbuntuServerWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutUbuntuServerDialog
        self.PreferencesDialog = PreferencesUbuntuServerDialog

        # Code for other initialization actions should be added here.
        self.toolbar = self.builder.get_object("toolbar")
        context = self.toolbar.get_style_context()
        context.add_class(Gtk.STYLE_CLASS_PRIMARY_TOOLBAR)




    def on_apache_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service apache2 start; echo '\nDocument Root is at /var/www'; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)



    def on_apachex_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service apache2 stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

         
         
    def on_apacher_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service apache2 restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_apachere_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service apache2 reload; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_sslstart_clicked(self, widget):         
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo a2ensite default-ssl; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)

     

    def on_sslstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo a2dissite default-ssl; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)


    def on_apachestatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("service apache2 status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_mysqlstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service mysql start; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)


    def on_mysqlstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service mysql stop; exit 0", stderr=subprocess.STDOUT, shell=True)
         buffer.set_text(result)


    def on_mysqlrestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service mysql restart; exit 0", stderr=subprocess.STDOUT, shell=True)
         buffer.set_text(result)

    def on_mysqlstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("service mysql status; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)

    def on_ftpstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service proftpd start; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)

    def on_ftpstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service proftpd stop; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)


    def on_ftprestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service proftpd restart; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)

    def on_ftpreload_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service proftpd reload; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)

    def on_ftpstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service proftpd status; exit 0", stderr=subprocess.STDOUT, shell=True)         
         buffer.set_text(result)

    def on_ftpanonymouson_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo /usr/share/ubuntu-server/scripts/ftp-anonymous-on; exit 0", stderr=subprocess.STDOUT, shell=True)
         buffer.set_text(result)


    def on_ftpanonymousoff_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo /usr/share/ubuntu-server/scripts/ftp-anonymous-off; exit 0", stderr=subprocess.STDOUT, shell=True)
         buffer.set_text(result)



    def on_sshstart_clicked(self, widget):      
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service ssh start; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_sshstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service ssh stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_sshrestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service ssh restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_sshstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("service ssh status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

      
   

    def on_webminstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service webmin start; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_webminstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service webmin stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)




    def on_webminrestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service webmin restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_webminstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service webmin status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    

    def on_smbdstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service smbd start; gksu service winbind start; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_smbdstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service smbd stop; gksu service winbind stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)




    def on_smbdrestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service smbd restart; gksu service winbind restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_smbdstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("service smbd status; service winbind status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
    

    def on_nagiosstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service nagios3 start; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_nagiosstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service nagios3 stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_nagiosrestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service nagios3 restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_nagiosreload_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service nagios3 reload; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_nagiosstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service nagios3 status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)



    def on_monitorixstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service monitorix start; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_monitorixstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service monitorix stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_monitorixrestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service monitorix restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)     

    def on_monitorixstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("service monitorix status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)     



    def on_noip_clicked(self, widget):
      os.system('gksudo /usr/local/bin/noip2')
       

    def on_webalizer_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo webalizer; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_putty_clicked(self, widget):
        os.system('exec putty &')

      
    def on_logs_clicked(self, widget):
      os.system('exec /usr/share/ubuntu-server/scripts/server_logs.sh &') 
      
    def on_clearlogs_clicked(self, widget):
      os.system('gksudo /usr/share/ubuntu-server/scripts/execute-clear-logs.sh &')    
          
    def on_status_clicked(self, widget):
        os.system("gksu /usr/share/ubuntu-server/scripts/status.sh &")






    def on_www_clicked(self, widget):
      	os.system('exec gksu nautilus /var/www &')
     
    def on_nav_clicked(self, widget):
      	os.system('exec netactview &')
      	
    def on_scanlocal_clicked(self, widget):
      os.system('gksudo /usr/share/ubuntu-server/scripts/nmaplocal.sh &')    
   
    def on_scanip_clicked(self, widget):
      os.system('gksudo /usr/share/ubuntu-server/scripts/nmapip.sh &') 
    
    def on_rkhunter_clicked(self, widget):
        os.system('gksu /usr/share/ubuntu-server/scripts/rkhunter.sh &') 
   
   
    def on_backup_clicked(self, widget):
      	os.system('exec gksu /usr/share/ubuntu-server/scripts/backup.sh &')
      	
    def on_interface_clicked(self, widget):
      	os.system('exec /usr/share/ubuntu-server/scripts/interface &')
      	 

    def on_apache2ver_clicked(self, widget):
        command = "apache2 -v"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
      
    def on_phpver_clicked(self, widget):
        command = "php5 -v"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)

    def on_hostname_clicked(self, widget):
        command = "hostname"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)

    def on_apachemodenable_clicked(self, widget):
        command = "ls /etc/apache2/mods-enabled"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)

    def on_apachemodall_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("ls /etc/apache2/mods-available|cut -d'.' -f1; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)


    def on_logwatch_clicked(self, widget):
              os.system('gksu /usr/share/ubuntu-server/scripts/logwatch.sh &')
        


    def on_gufw_clicked(self, widget):
      os.system('exec gksudo gufw &')

    def on_ip_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("echo 'Local IP:' \n  ifconfig |grep 'inet addr'|cut -d':' -f2|cut -d' ' -f1; echo 'External IP:' \n /usr/share/ubuntu-server/scripts/ext-ip; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
         
         
    def on_sites_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("ls /etc/apache2/sites-enabled|cut -d'.' -f1; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
         
    def on_sitesav_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("ls /etc/apache2/sites-available; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
    
    def on_modenable_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu /usr/share/ubuntu-server/scripts/mod-enable; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
        
        
    def on_moddisable_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu /usr/share/ubuntu-server/scripts/mod-disable; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
         
         
    def on_enablesite_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu /usr/share/ubuntu-server/scripts/site-enable; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
        
        
    def on_disablesite_clicked(self, widget):
         self.writetest = self.builder.get_object("textview1")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu /usr/share/ubuntu-server/scripts/site-disable; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
        
        
    def on_samba_clicked(self, widget):
      	os.system('exec gksudo system-config-samba &')
      	
    def on_mtr_clicked(self, widget):
      	os.system('exec /usr/share/ubuntu-server/scripts/mtr.sh &')
      	
      	
    def on_traceroute_clicked(self, widget):
        os.system('exec /usr/share/ubuntu-server/scripts/traceroute.sh &')
        
        
        
    def on_bindstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service bind9 start; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)



    def on_bindstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service bind9 stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

         
         
    def on_bindreload_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service bind9 reload; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_bindrestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service bind9 restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
         
    def on_bindstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("service bind9 status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

         
         
    def on_bindforce_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service bind9 force-reload; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
     
     
    def on_bindfolder_clicked(self, widget):
        os.system('exec gksu nautilus /etc/bind &')
        
        
    def on_bindlog_clicked(self, widget):
         os.system('exec /usr/share/ubuntu-server/scripts/syslog.sh &')
         
         
    def on_ntpstart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service ntp start; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)



    def on_ntpstop_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksu service ntp stop; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

         
         
    def on_ntpreload_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service ntp force-reload; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

    def on_ntprestart_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("gksudo service ntp restart; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
         
    def on_ntpstatus_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("service ntp status; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)

         
         
    def on_ntpsync_clicked(self, widget):
         self.writetest = self.builder.get_object("textview2")
         buffer = self.writetest.get_buffer()
         result = subprocess.check_output("ntpq -c lpeer; exit 0", stderr=subprocess.STDOUT, shell=True)        
         buffer.set_text(result)
     
    def on_ntpedit_clicked(self, widget):
         os.system('exec gksudo gedit /etc/ntp.conf &')
         
         
